ru.bitel.bgbilling.plugins.helpdesk.common.bean

## Class Package

- java.lang.Object
- - ru.bitel.bgbilling.plugins.helpdesk.common.bean.Package

-     public class Package
      extends java.lang.Object

  Модель класса "пекет обращений в систему Helpdesk"
  Author:
    Кирилл Сергеев

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Package()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getChargeId()` Возвращает код "тип расхода"
    `int` | `getCount()` Возращает заданое для пакета количество обращений
    `int` | `getId()` Возращает id пакета
    `int` | `getPeriod()` Возращает заданое для пакета, число дней на которое активируется пакет
    `java.math.BigDecimal` | `getSumma()` Возвращает установленную стоимость пакета
    `java.lang.String` | `getTitle()` Возвращает название пакета
    `boolean` | `isStatus()` Проверяет статус пакета (true => пакет включен, false => пакет выключен)
    `void` | `setChargeId(int chargeId)` Устанавливает код "тип расхода"
    `void` | `setCount(int count)` Устанавливает количество обращений в пакете
    `void` | `setId(int id)` Устанавливает id пакета
    `void` | `setPeriod(int period)` Устанавливает число дней на которое активируется пакет
    `void` | `setStatus(boolean status)` Устанавливает статус пакета (вкл.
    `void` | `setSumma(java.math.BigDecimal summa)` Устанавливает стоимоимость пакета
    `void` | `setTitle(java.lang.String title)` Устанавливает название пакета

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Package

          public Package()

  - ### Method Detail

    - #### getId

          public int getId()

      Возращает id пакета
      Returns:
        уникальный код пакета

    - #### setId

          public void setId(int id)

      Устанавливает id пакета
      Parameters:
        `id` - - уникальный код пакета

    - #### getTitle

          public java.lang.String getTitle()

      Возвращает название пакета
      Returns:
        текст названия пакета

    - #### setTitle

          public void setTitle(java.lang.String title)

      Устанавливает название пакета
      Parameters:
        `title` - - текст названия пакета

    - #### getSumma

          public java.math.BigDecimal getSumma()

      Возвращает установленную стоимость пакета
      Returns:
        стоимость пакета

    - #### setSumma

          public void setSumma(java.math.BigDecimal summa)

      Устанавливает стоимоимость пакета
      Parameters:
        `summa` - - стоимость пакета

    - #### getCount

          public int getCount()

      Возращает заданое для пакета количество обращений
      Returns:
        число обращений

    - #### setCount

          public void setCount(int count)

      Устанавливает количество обращений в пакете
      Parameters:
        `count` - - число обращений

    - #### getPeriod

          public int getPeriod()

      Возращает заданое для пакета, число дней на которое активируется пакет
      Returns:
        число дней

    - #### setPeriod

          public void setPeriod(int period)

      Устанавливает число дней на которое активируется пакет
      Parameters:
        `period` - - число дней

    - #### isStatus

          public boolean isStatus()

      Проверяет статус пакета (true => пакет включен, false => пакет выключен)
      Returns:
        статус пакета

    - #### setStatus

          public void setStatus(boolean status)

      Устанавливает статус пакета (вкл./выкл.)
      Parameters:
        `status` - - true => пакет включен, false => пакет выключен

    - #### getChargeId

          public int getChargeId()

      Возвращает код "тип расхода"
      Returns:
        id типа расхода

    - #### setChargeId

          public void setChargeId(int chargeId)

      Устанавливает код "тип расхода"
      Parameters:
        `chargeId` - id типа расхода